Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class Sequence

    java.lang.Object
      org.apache.openjpa.jdbc.schema.ReferenceCounter
          org.apache.openjpa.jdbc.schema.Sequence

All Implemented Interfaces:
  Serializable, Comparable<Sequence>, SourceTracker

    public class Sequence

extends ReferenceCounter
implements Comparable<Sequence>, SourceTracker

Represents a database sequence.

Author:
  Abe White
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.lib.meta.SourceTracker
`SRC_ANNOTATIONS, SRC_OTHER, SRC_XML`

Constructor Summary
`Sequence()` Default constructor.
`Sequence(DBIdentifier name, Schema schema)`
`Sequence(String name, Schema schema)` Deprecated.

Method Summary
`int` | `compareTo(Sequence other)`
`int` | `getAllocate()` The sequence's cache size.
`int` | `getColNumber()` Return the column number in the line of the file at which this instance was parsed.
`DBIdentifier` | `getFullIdentifier()`
`String` | `getFullName()` Deprecated.
`DBIdentifier` | `getIdentifier()`
`int` | `getIncrement()` The sequence's increment.
`int` | `getInitialValue()` The sequence's initial value.
`int` | `getLineNumber()` Return the line number of the file at which this instance was parsed.
`String` | `getName()` Deprecated.
`QualifiedDBIdentifier` | `getQualifiedPath()`
`String` | `getResourceName()` Return the domain-meaningful name of the resource that was loaded from this source.
`Schema` | `getSchema()` Return the schema for the sequence.
`DBIdentifier` | `getSchemaIdentifier()`
`String` | `getSchemaName()` The sequence's schema name.
`File` | `getSourceFile()` Return the file from which this instance was parsed.
`Object` | `getSourceScope()` Return the domain-dependent scope of this instance within its file.
`int` | `getSourceType()` Return the type of source.
`(package private) void` | `remove()` Called when the sequence is removed from its schema.
`void` | `setAllocate(int cache)` The sequence's cache size.
`void` | `setColNumber(int colNum)`
`void` | `setIdentifier(DBIdentifier name)`
`void` | `setIncrement(int increment)` The sequence's increment.
`void` | `setInitialValue(int initial)` The sequence's initial value.
`void` | `setLineNumber(int lineNum)`
`void` | `setName(String name)` Deprecated.
`void` | `setSchemaIdentifier(DBIdentifier name)`
`void` | `setSchemaName(String name)` Deprecated.
`void` | `setSource(File source, int srcType)`
`String` | `toString()`

Methods inherited from class org.apache.openjpa.jdbc.schema.ReferenceCounter
`deref, getRefCount, ref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sequence

    public Sequence()

  Default constructor.

### Sequence

    public Sequence(String name,
                    Schema schema)

  Deprecated.

  Constructor.

  Parameters:
    `name` - the sequence name
    `schema` - the sequence schema

### Sequence

    public Sequence(DBIdentifier name,
                    Schema schema)

Method Detail

### remove

    void remove()

  Called when the sequence is removed from its schema.

### getSchema

    public Schema getSchema()

  Return the schema for the sequence.

### getSchemaName

    public String getSchemaName()

  The sequence's schema name.

### getSchemaIdentifier

    public DBIdentifier getSchemaIdentifier()

### setSchemaName

    public void setSchemaName(String name)

  Deprecated.

  The sequence's schema name. You can only call this method on sequences whose schema object is not set.

### setSchemaIdentifier

    public void setSchemaIdentifier(DBIdentifier name)

### getName

    public String getName()

  Deprecated.

  Return the name of the sequence.

### getIdentifier

    public DBIdentifier getIdentifier()

### setName

    public void setName(String name)

  Deprecated.

  Set the name of the sequence. This method can only be called on sequences that are not part of a schema.

### setIdentifier

    public void setIdentifier(DBIdentifier name)

### getFullName

    public String getFullName()

  Deprecated.

  Return the sequence name, including schema, using '.' as the catalog separator.

### getFullIdentifier

    public DBIdentifier getFullIdentifier()

### getQualifiedPath

    public QualifiedDBIdentifier getQualifiedPath()

### getInitialValue

    public int getInitialValue()

  The sequence's initial value.

### setInitialValue

    public void setInitialValue(int initial)

  The sequence's initial value.

### getIncrement

    public int getIncrement()

  The sequence's increment.

### setIncrement

    public void setIncrement(int increment)

  The sequence's increment.

### getAllocate

    public int getAllocate()

  The sequence's cache size.

### setAllocate

    public void setAllocate(int cache)

  The sequence's cache size.

### getSourceFile

    public File getSourceFile()

  Description copied from interface: `SourceTracker`
  Return the file from which this instance was parsed.

  Specified by:
    `getSourceFile` in interface `SourceTracker`

### getSourceScope

    public Object getSourceScope()

  Description copied from interface: `SourceTracker`
  Return the domain-dependent scope of this instance within its file.

  Specified by:
    `getSourceScope` in interface `SourceTracker`

### getSourceType

    public int getSourceType()

  Description copied from interface: `SourceTracker`
  Return the type of source.

  Specified by:
    `getSourceType` in interface `SourceTracker`

### setSource

    public void setSource(File source,
                          int srcType)

### getResourceName

    public String getResourceName()

  Description copied from interface: `SourceTracker`
  Return the domain-meaningful name of the resource that was loaded from this source. I.e., if we had loaded the source for a Java class, this would return the name of the class.

  Specified by:
    `getResourceName` in interface `SourceTracker`

### compareTo

    public int compareTo(Sequence other)

  Specified by:
    `compareTo` in interface `Comparable<Sequence>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getLineNumber

    public int getLineNumber()

  Description copied from interface: `SourceTracker`
  Return the line number of the file at which this instance was parsed.

  Specified by:
    `getLineNumber` in interface `SourceTracker`

### setLineNumber

    public void setLineNumber(int lineNum)

### getColNumber

    public int getColNumber()

  Description copied from interface: `SourceTracker`
  Return the column number in the line of the file at which this instance was parsed.

  Specified by:
    `getColNumber` in interface `SourceTracker`

### setColNumber

    public void setColNumber(int colNum)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.